## Google Summer of Code 2022 at Knative

- [Contributors](#contributors)
- [Mentors](#mentors)
- [Communication](#communication)
- [Organization Administrators](#organization-administrators)
- [Ideas](#ideas)

## Contributors

### Application period

If you are a contributor looking forward to participating in the GSoC 2022 with the Knative community, feel free to
browse the growing idea list below.

What should I do before to get accepted:

* Check out the program [website](https://summerofcode.withgoogle.com/).
* Understand how the program [works](https://summerofcode.withgoogle.com/how-it-works).
* Read the [contributor guide](https://google.github.io/gsocguides/student/) of the program.
* Make sure you are [eligible](https://summerofcode.withgoogle.com/terms/contributor) to participate in the program.
* Check out the [differences](https://opensource.googleblog.com/2021/11/expanding-google-summer-of-code-in-2022.html)
  in the program this year.
* Try Knative by going through the [getting started](https://knative.dev/docs/getting-started/) page.
* Interact with the community using the [communication channels](#communication).
* Browse the [idea list](#idea-list) below. The earlier, the better.
* Check out the Knative community [website](https://knative.dev/docs/community/).

Tips:

* Ask for help if you need assistance. The community will select the contributors who are not only good technically.
  The community expects the contributors to have interaction.
* The preferred way of asking for assistance is using the [communication channels](#communication). In specific cases,
  you can privately contact the mentor if you feel uncomfortable about the public communication.
* Start exploring early!
* Have good interaction, so that the community recognizes your name! Start by introducing yourself to the community.
* Be polite!
* Help others! Help like-minded potential contributors in the public channels.
* Check out the projects from [previous years](https://summerofcode.withgoogle.com/archive).
* For a sample project proposal document, check out the [ideas](#idea-list) section.

### Coding period

To be added later

## Mentors

### Application period

Any Knative community member can submit ideas and volunteer to mentor students. However, Google gives a limited number of
slots, so, the community will have to select the best idea+contributor+mentor combination.

Do not hesitate to contact the [organization administrators](#organization-administrators) for any questions.

What should I do in the application period?

* First of all, make sure you are aware of the expectations from you (see below).
* Check out the program [website](https://summerofcode.withgoogle.com/).
* Understand how the program [works](https://summerofcode.withgoogle.com/how-it-works).
* Read the [mentor guide](https://google.github.io/gsocguides/mentor/) of the program.
* Check out the [differences](https://opensource.googleblog.com/2021/11/expanding-google-summer-of-code-in-2022.html)
  in the program this year, if you have experience with GSoC before.
* Add your idea to the [idea list](#idea-list) below. The earlier, the better.
* Monitor the [communication channels](#communication) for potential contributor questions.

Expectations from mentors:

* Add your ideas [below](#idea-list).
* Make sure you have the capacity to mentor a contributor. It is not the entire Knative community mentoring a
  contributor; it is YOU mentoring the contributor. This depends on the complexity of the project and the technical
  knowledge of the contributor, but expect to spend 4 hours a week as a general rule.
* Help the contributor to not only finish their projects but also teach about matters that are part of an open source
  community such as how project governance is, how communication in the community works and similar.
* Read the [mentor guide](https://google.github.io/gsocguides/mentor/) of the program.
* Do NOT share any private information about the contributor candidates publicly, such as if you would like to mentor a
  specific candidate or if you think the candidate is not good enough for the program. Reach out to the administrators for
  that.

Tips:

* Be polite and understanding! Not everyone has your knowledge of the technology we are working on at Knative community.
* Be professional! Don't forget that the contributors could be part of the community one day.
* Send a link to this page to the contributors when you think they can benefit from the tips written here.
* Do not hesitate to contact the [administrators](#organization-administrators).

### Coding period

To be added later

## Communication

Contributors are welcome to participate in any talks and discussions in the Knative community channels.

* Knative users group: https://groups.google.com/g/knative-users
    * Preferred communication channel. Introduce yourself here as a candidate contributor.
* Slack: https://slack.knative.dev/ Explore the channels yourselves, however, make sure you're checking these:
    * `#serving`: Knative Serving related discussions
    * `#eventing`: Knative Eventing related discussions
    * We don't have a specific GSoC channel. Feel free to post questions to relevant channels instead.
    * Check out the [Slack guidelines](https://github.com/knative/community/blob/main/SLACK-GUIDELINES.md).

## Organization Administrators

* Ali Ok - [Github](https://github.com/aliok), Slack username: aliok
* Carlos Santana - [Github](https://github.com/csantanapr), Slack username: csantanapr

## Ideas

@Mentors, please add your ideas below by sending a PR.

For a concrete example, you might have a look at a Knative-related project
[idea](https://docs.jboss.org/display/GSOC/Google+Summer+of+Code+2020+ideas#GoogleSummerofCode2020ideas-Knative-AlternativeKnativeBrokerImplementationbasedonApacheKafka)
at another community, the JBoss community.

@Contributors, an example proposal document for the idea above
is [here](https://docs.jboss.org/download/attachments/81428506/Sample%20GSoC%20proposal%20document.pdf?version=1&modificationDate=1615452853000&api=v2)
.

### Idea template for mentors

```
#### Project title
Summary of idea:

-Idea

-Feature A

-Feature B

Knowledge prerequisite: Languages/Technologies goes here

Github repo:

Skill level: Beginner/Intermediate/Advanced

Contact(s) / potential mentors(s): Mentor(s) name and contact details

Associated Knative modules and other open source projects:
```

### Idea list


